Bug Hunting Session
Bug 118836 - FILESAVE: saved PPTX that contains grow-shrink effect can't open in powerpoint
Summary: FILESAVE: saved PPTX that contains grow-shrink effect can't open in powerpoint
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
4.1 all versions
Hardware: All All
: medium normal
Assignee: Mark Hung
URL:
Whiteboard: target:6.2.0
Keywords:
Depends on:
Blocks: PPTX-Corrupted
  Show dependency treegraph
 
Reported: 2018-07-18 22:20 UTC by Mark Hung
Modified: 2018-07-26 10:00 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Sample odp that contains a grow-shrink effect animation. (11.38 KB, application/vnd.oasis.opendocument.presentation)
2018-07-18 22:20 UTC, Mark Hung
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mark Hung 2018-07-18 22:20:39 UTC
Created attachment 143629 [details]
Sample odp that contains a grow-shrink effect animation.

Steps to reproduce:
1. open the attached file.
2. saved as pptx.
3. open it in PowerPoint. 

Expected: document should open.
Actual Result: PowerPoint report that the file is broken.
Comment 1 Regina Henschel 2018-07-19 00:05:36 UTC
Saving to pptx in LibreOffice and reopen that file in LibreOffice, shows, that the animation is lost.

I confirm, that PowerPoint reports an error in the document.

Tested with current master and PowerPoint 365.
Comment 2 Xisco Faulí 2018-07-19 15:48:14 UTC
Also reproduced in

Version: 5.2.0.0.alpha0+
Build ID: 3ca42d8d51174010d5e8a32b96e9b4c0b3730a53
Threads 4; Ver: 4.10; Render: default; 

and

Version 4.1.0.0.alpha0+ (Build ID: efca6f15609322f62a35619619a6d5fe5c9bd5a)
Comment 3 Commit Notification 2018-07-25 13:01:06 UTC
Mark Hung committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7ff086c9141429e32c733f38d288cf67d6e9e3c9

tdf#118836: fix grow-shrink animation in saved pptx.

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.